Not compatible with Thunderbird 17 Rated 4 out of 5 stars

I use extensive Google service including gmailS, calendarS etc. Only this password manager could help me prevent duplicated input of password pop-up windows. However, after I upgrade to latest Thunderbird, it is no longer compatible, Hope the developer can continue develope this wonderful addon.

This review is for a previous version of the add-on (1.3).